Gatsby plugin for preparing brotli-compressed versions of assets
Clone or download
Latest commit c34a5da Aug 30, 2018
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
docs initial commit Aug 20, 2018
src initial commit Aug 20, 2018
.editorconfig initial commit Aug 20, 2018
.gitignore initial commit Aug 20, 2018
.travis.yml fix travis build Aug 30, 2018
LICENSE initial commit Aug 20, 2018
README.md added appveyor checks Aug 30, 2018
appveyor.yml added appveyor checks Aug 30, 2018
gatsby-node.js initial commit Aug 20, 2018
index.js initial commit Aug 20, 2018
package-lock.json initial commit Aug 20, 2018
package.json chore(package): update standard to version 12.0.0 Aug 29, 2018

README.md

gatsby-plugin-brotli

Travis AppVeyor Dependencies Known Vulnerabilities Coverage Status Greenkeeper badge npm npm js-standard-style

Gatsby plugin for preparing brotli-compressed versions of assets.

/webpack-runtime-cde5506958f1afc4d89e.js

becomes

/webpack-runtime-cde5506958f1afc4d89e.js.br

Installation

With npm:

npm install --save gatsby-plugin-brotli

Or with Yarn:

yarn add gatsby-plugin-brotli

Usage

In your gatsby-config.js file add:

module.exports = {
  plugins: [
    {
      resolve: 'gatsby-plugin-brotli'
    }
  ]
}

Maintainers

Osmond van Hemert

Github NPM Twitter Web

Contributing

See the CONTRIBUTING.md file for details.

Donations

Want to help me out by giving a donation? Check out these options:

Patreon Coinbase PayPal Ko-fi

License

Licensed under MIT.

NOTE: This plugin only generates output when run in production mode! To test, run: gatsby build && gatsby serve